########################################################################################################################
# \uACF5\uD1B5\uC124\uC815(local, dev, prod)
########################################################################################################################
server.port=8080

# JWT\uC124\uC815
jwt.token.header=Authorization
jwt.token.secret.key=digital-mining
jwt.token.swagger.only.token=Bearer eyJyZWdEYXRlIjoxNTk2ODg3NjM5MDE5LCJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyb2xlIjoiQURNSU4iLCJuYW1lIjoi6rSA66as7J6QIiwiaWQiOiJhZG1pbiIsInRlYW0iOiLrlJTsp4DthLjrp4jsnbTri50iLCJleHAiOjE2Mjg0MjM2Mzl9.TYHLLBOzXUU9LmUhhzUAvSTy2P9Wc66oFF04hnNgTxk

# JPA\uC124\uC815
# Dialect \uC124\uC815
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQL5InnoDBDialect
# \uD558\uC774\uBC84\uB124\uC774\uD2B8\uAC00 \uC2E4\uD589\uD558\uB294 \uBAA8\uB4E0 SQL\uBB38\uC744 \uCF58\uC194\uB85C \uCD9C\uB825\uD574 \uC900\uB2E4.
spring.jpa.properties.hibernate.show_sql=true
# \uCF58\uC194\uC5D0 \uCD9C\uB825\uB418\uB294 JPA \uC2E4\uD589 \uCFFC\uB9AC\uB97C \uAC00\uB3C5\uC131\uC788\uAC8C \uD45C\uD604\uD55C\uB2E4.
spring.jpa.properties.hibernate.format_sql=true
# \uB514\uBC84\uAE45\uC774 \uC6A9\uC774\uD558\uB3C4\uB85D SQL\uBB38 \uC774\uC678\uC5D0 \uCD94\uAC00\uC801\uC778 \uC815\uBCF4\uB97C \uCD9C\uB825\uD574 \uC900\uB2E4.
spring.jpa.properties.hibernate.use_sql_comments=true

########################################################################################################################
# local\uC124\uC815(local, dev, prod)
########################################################################################################################
# PROFILE
spring.profile=local

# LOG
logging.level.root=error
logging.file.name=C:/digitalmining/log/digitalmining_api.log

# FILE
digitalmining.file.upload.enable=true
digitalmining.file.upload.path=C:/digitalmining/upload
spring.servlet.multipart.location=C:/digitalmining/upload/tmp
spring.servlet.multipart.max-file-size=10MB
spring.servlet.multipart.max-request-size=10MB
spring.servlet.multipart.enabled=true

# DB
spring.datasource.driverClassName=com.mysql.cj.jdbc.Driver
spring.datasource.url=jdbc:mysql://221.162.168.246:3306/digital_mining?characterEncoding=UTF-8&serverTimezone=Asia/Seoul
spring.datasource.username=digitalmining
spring.datasource.password=1q2w3e4r5t^
